html,
body {
	width: 100%;
	height: 100%;
}

:root {
	--primary-color: #bb2739;
	--text-color: #121212;
	--white-color: #ffffff;
	--font-family: 'Noto Sans JP', 'Apple SD Gothic Neo', sans-serif;
}

.wrapper {
	width: inherit;
	height: inherit;
	display: flex;
	flex-direction: column;
	align-items: center;
	padding-top: 100px;
	box-sizing: border-box;
}

.img {
	object-fit: contain;
}

.img--logo-lg {
	display: block;
	width: 166px;
	height: 40px;
}

.img--logo-sm {
	display: none;
	width: 116px;
	height: 22px;
}

.img--404 {
	width: 222px;
	height: 222px;
	padding-top: 66px;
}

.contents__wrapper {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 12px;
}

.contents__inner {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 22px;
}

.text {
	font-family: var(--font-family);
	font-size: 14px;
	line-height: 1.29;
	text-align: center;
	color: var(--text-color);
}

.text--bold {
	font-weight: bold;
}

.text--group {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 12px;
}

.btn {
	width: 280px;
	height: 48px;
	border-radius: 8px;
	border: 0;
	padding: 0;
	cursor: pointer;
	display: flex;
	justify-content: center;
	align-items: center;
}

.btn__primary {
	background-color: var(--primary-color);
	color: var(--white-color);
	font-family: var(--font-family);
	font-size: 16px;
	font-weight: bold;
}

.lottie {
	position: fixed;
	z-index: -2;
}

.lottie--top {
	top: 0;
	right: 0;
	width: 994px;
	height: 895px;
}

.lottie--bottom {
	bottom: 0;
	left: 0;
	width: 895px;
	height: 895px;
}

.lottie--desktop {
	display: block;
}

.lottie--tablet {
	display: none;
}

.lottie--mobile {
	display: none;
}

/* Tablet Landscape Styling */
@media (min-width: 512px) and (max-width: 1368px) and (min-height: 600px) and (max-height: 1024px) and (orientation: landscape) and (pointer: coarse) {
	.img--logo-lg {
		display: none;
	}

	.img--logo-sm {
		display: block;
	}

	.wrapper {
		padding-top: 32px;
	}

	.img--404 {
		padding-top: 31px;
	}

	.contents__wrapper {
		height: 100%;
	}

	.contents__inner {
		height: 100%;
		padding-bottom: 118px;
		justify-content: space-between;
		box-sizing: border-box;
	}

	.lottie--top {
		width: 400px;
		height: 360px;
	}

	.lottie--bottom {
		width: 360px;
		height: 360px;
	}

	.lottie--desktop {
		display: none;
	}

	.lottie--tablet {
		display: block;
	}

	.lottie--mobile {
		display: none;
	}
}

/* Tablet Portrait Styling */
@media (min-width: 512px) and (max-width: 1280px) and (min-height: 600px) and (max-height: 1368px) and (orientation: portrait) and (pointer: coarse) {
	.img--logo-lg {
		display: none;
	}

	.img--logo-sm {
		display: block;
	}

	.wrapper {
		padding-top: 32px;
	}

	.img--404 {
		padding-top: 89px;
	}

	.contents__wrapper {
		height: 100%;
	}

	.contents__inner {
		height: 100%;
		padding-bottom: 228px;
		justify-content: space-between;
		box-sizing: border-box;
	}

	.lottie--top {
		width: 400px;
		height: 360px;
	}

	.lottie--bottom {
		width: 360px;
		height: 360px;
	}

	.lottie--desktop {
		display: none;
	}

	.lottie--tablet {
		display: block;
	}

	.lottie--mobile {
		display: none;
	}
}

/* Mobile Landscape Styling */
@media (max-width: 915px) and (max-height: 480px) and (orientation: landscape) and (pointer: coarse) {
	.img--logo-lg {
		display: none;
	}

	.img--logo-sm {
		display: block;
	}

	.wrapper {
		padding-top: 16px;
	}

	.img--404 {
		width: 148px;
		height: 148px;
		padding-top: 16px;
		width: 50%;
	}

	.contents__wrapper {
		flex-direction: row;
		width: 100%;
		height: 100%;
		gap: 20px;
		align-items: flex-start;
	}

	.contents__inner {
		width: 50%;
		height: 100%;
		padding-bottom: 54px;
		justify-content: space-between;
		box-sizing: border-box;
	}

	.text--group {
		padding-top: 28px;
	}

	.lottie--top {
		width: 164px;
		height: 164px;
	}

	.lottie--bottom {
		width: 170px;
		height: 170px;
	}

	.lottie--desktop {
		display: none;
	}

	.lottie--tablet {
		display: none;
	}

	.lottie--mobile {
		display: block;
	}
}

/* Mobile Portrait Styling */
@media (max-width: 511px) and (orientation: portrait) and (pointer: coarse) {
	.img--logo-lg {
		display: none;
	}

	.img--logo-sm {
		display: block;
	}

	.wrapper {
		padding-top: 16px;
		height: 100%;
	}

	.img--404 {
		width: 148px;
		height: 148px;
		padding-top: 95px;
	}

	.contents__wrapper {
		height: 100%;
	}

	.contents__inner {
		height: 100%;
		padding-bottom: 70px;
		justify-content: space-between;
		box-sizing: border-box;
	}

	.lottie--top {
		width: 164px;
		height: 164px;
	}

	.lottie--bottom {
		width: 170px;
		height: 170px;
	}

	.lottie--desktop {
		display: none;
	}

	.lottie--tablet {
		display: none;
	}

	.lottie--mobile {
		display: block;
	}
}
